* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
	font-family: 'Montserrat', sans-serif;
}

body {
	font-family: 'Montserrat', sans-serif;
}

/* Styles for the hero section */
.hero-container {
	width: 100%;
	height: 100vh;
	position: relative;
	padding: 0 5%;
	display: flex;
	align-items: center;
	justify-content: center;
	overflow: hidden;
}

.bg-video {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	z-index: -1;
}
@media (min-aspect-ratio: 16/9) {
	.bg-video {
		width: 100%;
		height: auto;
	}
}
@media (max-aspect-ratio: 16/9) {
	.bg-video {
		width: auto;
		height: 100%;
	}
}

.hero-carousel {
	transition: transform 1s ease-in-out;
	height: 100%;
	width: 100%;
	position: absolute;
	top: 0;
	left: 0;
}
.hero-carousel img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	opacity: 1;
	position: absolute;
	top: 0;
	left: 0;
	transition: transform 1s ease-in-out, opacity 1s ease-in-out;
}

/* Styles for other sections and components */
.container {
	max-width: 1200px;
	margin: 0 auto;
}

.history-section, .background-section, .white-section, .image-carousel-section, .two-column-section {
	align-items: center;
}
.history-section {
	background-color: #FBB116;
	padding: 30px;
	font-family: 'Montserrat', sans-serif;
}
.history-section h2{
	font-family: Dancing Script;
	font-weight: 700;
	text-align: center;
}
/* history */

/* white section */
.white-section{
     margin-top: 30px;
	 
}

.white-section h2{
    font-weight: 700;
	text-align: center;
    color: #000; 
}
/* white section */

/* services */
.services{
	float:left;
	width:100%;
	margin-bottom: 50px;
	padding:50px 0 50px 0;
	background:url('images/103.jpg') no-repeat center center;
	background-size: cover;
	background-attachment: fixed; /* Make the background image fixed */
	z-index: 1;
	color: #fff;
}
.services:before{
	position:absolute;
	width:100%; height:100%;
	left:0; top:0;
	margin:0 0 0 0; padding:0 0 0 0;
	z-index:-1;
	content:'';
}
.servicescontent {
	float:left;
	width:100%;
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.services-content .text h3{
	color:#FBB116;
	font-size:40px;
	font-family:'Montserrat';
	font-weight: normal;
	margin-bottom: 20px;
}
.services-content .text h2{
	color:#fff;
	font-size:90px;
	line-height: 100%;
	font-family:'Montserrat';
	font-weight: 600;
	margin-bottom: 30px;
}
.services-content .text p{
	color:#fff;
	font-size:21px;
	line-height: 170%;
	font-family:'Montserrat';
}
.servicescontent .text p u{
	font-weight: bold;
	color: #ffc818;
}
.services h5{
	color: #fff;
	font-weight: 500;
}
.services-p{
	color: #fff;
}
.fa-solid{
	color: #FBB116;
	font-size: 30px;
	font-weight: bold;
}
@media only screen and (max-width: 768px) {
	.services {
		background-attachment: scroll; /* Change attachment to scroll on smaller screens */
		
	}
	.bg-video {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	z-index: -1;
}
}

/* services */

/* carousel section */
.image-carousel-section{
	height: 700px;
}
.carousel-1 {
	width: 100%;
	height: 100%;
	overflow: hidden;
	position: relative;
}
.carousel-inner-1 {
	width: 100%;
	height: 100%;
	display: flex;
	transition: transform 0.5s ease;
}
.slide {
	width: 100%;
	height: 100%;
	flex-shrink: 0;
	background-size: cover;
	background-position: center;
	display: flex;
	justify-content: center;
	align-items: center;
	color: white;
	font-weight: 600;
	font-size: 2em;
}
.slide:nth-child(1) {
	background-image: url('images/84.jpg');
}
.slide:nth-child(2) {
	background-image: url('images/6.jpg');
}
.slide:nth-child(3) {
	background-image: url('images/33.jpg');
}
.slide:nth-child(4) {
	background-image: url('images/14.jpg');
}
.slide:nth-child(5) {
	background-image: url('images/50.jpg');
}
.slide:nth-child(6) {
	background-image: url('images/48.jpg');
}
.slide:nth-child(7) {
	background-image: url('images/49.jpg');
}
.controls {
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	width: 100%;
	display: flex;
	justify-content: space-between;
	z-index: 1;
}
.control-btn {
	background: rgba(0, 0, 0, 0.5);
	color: #FBB116;
	border: none;
	cursor: pointer;
	padding: 10px;
	font-size: 1.5em;
	transition: background 0.3s ease;
}
.control-btn:hover {
	background: rgba(0, 0, 0, 0.7);
}
/* carousel section */


.container-kl {
	max-width: 1200px;
	margin: 0 auto;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
}

.card-kl {
	width: calc(25% - 10px); /* Adjusted width for four columns with gap */
	margin-bottom: 20px; /* Gap between rows */
	border: 1px solid #ccc;
	border-radius: 10px;
	overflow: hidden;
	position: relative;
	transition: transform 0.3s;
}

.card-kl:hover {
	transform: scale(1.05);
}

.card-kl img {
	width: 100%;
	height: auto;
	display: block;
}

.overlay-kl {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 100%; /* Full height */
	background-color: rgba(0, 0, 0, 0.2);
	padding: 10px;
	color: #fff;
	text-align: center;
	transition: background-color 0.3s;
	box-sizing: border-box;
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
}

.card-kl:hover .overlay-dt {
	background-color: #fff;
	color: #000;
}

.overlay-kl h5 {
	margin: 0;
	font-weight: 600;
	color: #fff;
	text-transform: uppercase;
}

.card-kl .overlay-kl:hover {
	display: none;
}

.card-kl .content {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	background-color: rgba(0, 0, 0, 0.3);
	padding: 10px;
	text-align: center;
	transform: translateY(100%);
	transition: transform 0.3s;
	box-sizing: border-box;
	text-transform: uppercase;
}

.card-kl:hover .content {
	transform: translateY(0%);
}

.card-kl .content h5 {
	margin: 0;
	font-weight: 600;
	color: #fff;
}

.card-kl .content p {
	margin-top: 5px;
	margin-bottom: 0;
	font-size: 14px;
	color: #fff;
}

.card-kl .content a {
	display: inline-block;
	margin-top: 10px;
	padding: 8px 15px;
	background-color: #FBB116;
	color: #000;
	text-decoration: none;
	border-radius: 5px;
	transition: background-color 0.3s;
}
.card-kl .content h5 {
	padding: 8px 15px;
	background-color: none;
	color: #fff;
	text-decoration: none;
	border-radius: 5px;
	transition: background-color 0.3s;
}
.card-kl .content a:hover {
	background-color: #000;
	color: #FBB116;
}

.card-kl .overlay {
	position: absolute;
	top: 10px;
	right: 10px;
	background-color: #FBB116;
	padding: 5px 10px;
	border-radius: 20px;
}

.card-kl .overlay h5 {
	margin: 0;
	color: #000;
	text-transform: uppercase;
	
}

.card-kl .overlay:hover {
	background-color: #000;
	color: #FBB116;
}

.card-kl .overlay h5:hover {
	color: #FBB116;

}

.flex-container {
	display: flex;
}

.white-section{
	text-align: center;	
}

.white-section .btn-a:hover{
	border: 1px solid #000;	
}

.two-column-section {
	display: flex;
	justify-content: center; /* Center the columns horizontally */
}

.two-column-section h2{
    font-weight: 700;
	text-align: left;
    color: #000; 
}

.flex-container {
	display: flex;
	flex-wrap: wrap; /* Allow columns to wrap */
	gap: 20px; /* Adjust the gap size */
	width: 100%; /* Ensure the flex container takes full width */
	padding-left: 50px;
	padding-right: 50px;
}

.flex-column {
	flex: 1;
	min-width: 300px; /* Minimum width for each column */
	max-width: 50%; /* Maximum width for each column */
	margin-bottom: 10px;
}

.card-blog {
	box-shadow: 0 1px 1px #FBB116;
	transition: transform 0.3s;
	display: flex;
	flex-direction: row;
	width: 100%;
	height: 150px; /* Adjust height of cards */
	margin-bottom: 30px;
}

.card-blog:hover {
	transform: scale(1.05);
}

.card-blog img {
	width: 60%;
	height: auto;
	object-fit: cover;
}

.card-blog .content {
	width: 40%; /* Adjust the width of content area */
	padding: 20px;
	display: flex;
	flex-direction: column;
	text-align: left;
	justify-content: center;
	background-color: none;
}

.card-blog .content h5 {
	text-transform: uppercase;
	font-family: 'Montserrat', sans-serif;
	text-decoration: none;
	transition: color 0.3s;
	margin: 0;
	font-size: 12px;
	font-weight: 600;
	font-style: normal;
}

.card-blog .content a {
	color: #000;
	font-family: 'Montserrat';
	font-weight: 600;
	font-style: normal;
	margin-bottom: 30px;
	position: relative;
	text-decoration: none;
}

.card-blog .content a:hover {
	color: #FBB116;
}

#flex-column {
	background-image: url('images/35.jpg'); /* Replace 'your-background-image.jpg' with the path to your background image */
	background-size: cover;
	background-position: center;
	color: white; /* Set text color to white for better visibility */
	padding-left: 50px;
	padding-top: 200px;
	padding-right: 200px;
	padding-bottom: 200px;
	text-align: left; /* Center text horizontally */
}

#flex-column h3 {
	margin-top: 0; /* Remove default margin */
	font-weight: 600;
}

.two-column-section .btn-a {
	display: inline-block; 
	background-color: #FBB116; 
	color: #000; 
	padding: 10px 20px;
	text-decoration: none;
	border-radius: 5px;
	transition: background-color 0.3s;
}
.two-column-section .btn-a:hover {
	background-color: #000;
	color: #FBB116;
}

.two-column-section .a-blog:hover {
   color: #FBB116;
}

		
.container-dt {
	max-width: 1200px;
	margin: 0 auto;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
}

.card-dt {
	width: calc(25% - 10px); /* Adjusted width for four columns with gap */
	margin-bottom: 20px; /* Gap between rows */
	border: 1px solid #ccc;
	border-radius: 10px;
	overflow: hidden;
	position: relative;
	transition: transform 0.3s;
}

.card-dt:hover {
	transform: scale(1.05);
}

.card-dt img {
	width: 100%;
	height: auto;
	display: block;
}

.card-dt .overlay-dt {
	position: absolute;
	top: 10px;
	right: 10px;
	background-color: #FBB116;
	padding: 5px 10px;
	border-radius: 20px;
}

.card-dt .overlay-dt h5 {
	margin: 0;
	color: #000;
	text-transform: uppercase;
}

.card-dt .overlay-dt:hover {
	background-color: #000;
	color: #FBB116;
}

.card-dt .overlay-dt h5:hover {
	color: #FBB116;
}

.card-dt .content {
	padding: 10px;
	text-align: center;
	text-transform: uppercase;
}

.card-dt .content h5 {
	margin-top: 0;
	font-weight: 600;
}

.card-dt .content a {
	color: #000;
	text-decoration: none;
}

.card-dt .content a:hover {
	color: #FBB116;
}

.card-dt .content p {
	margin-top: 0;
	font-size: 12px;
}

@media (max-width: 991px) {
	.card-dt {
	width: calc(33.33% - 10px); /* Adjusted width for three columns with gap */
	}
}

@media (max-width: 767px) {
	.card-dt {
	width: 100%; /* Full width on small screens */
	}
}

/* Media query for smartphones */
@media screen and (max-width: 768px) {
	.flex-container {
		flex-direction: column; /* Stack columns vertically */
		padding-left: 30px;
		padding-right: 30px;
	}

	.flex-column {
		max-width: 100%; /* Full width for each column on smartphones */
		min-width: auto; /* Remove minimum width */
		height: auto;
	}
	.card-blog img {
	width: 50%;
	}
	.card-blog .content {
		width: 50%;
	}
	#flex-column{
		padding: 60px;
	}
}

@media (max-width: 991px) {
	.card-kl {
	width: calc(33.33% - 10px); /* Adjusted width for three columns with gap */
	}
}

@media (max-width: 767px) {
	.card-kl {
	width: 100%; /* Full width on small screens */
	}
}


/* Media queries for responsiveness */
@media screen and (max-width: 768px) {
	.hero-container{
		height: 100vh;
	}
	.image-carousel-section{
		height: 100vh;
	}
    .history-section {
    padding: 10px;
    }
	.two-column-section{
		flex-direction: column;
	}
	.card-blog{
		margin-bottom: 20px;
	}
}

@media screen and (max-width: 768px) {
	.two-column-section {
		flex-direction: column; /* Change flex direction to column */
	}

	.flex-container {
		flex-direction: column; /* Change flex direction to column */
		align-items: center; /* Center items vertically */
	}
}

@media screen and (max-width: 480px) {
	/* Further adjust styles for smaller screens */
	/* For example, make columns stack on top of each other */
}


/* animation */

/*action*/
.action {
	position: relative;
	background-image: url('images/196.jpg');
	background-attachment: fixed;
	background-size: cover;
	background-position: center;
	height: 100vh;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
  }
  
  .action-container {
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.5);
	padding: 250px 20px;
	text-align: center;
  }
  
  .action-container h2 {
	color: white;
	font-size: 6rem;
	font-family: "Dancing Script";
	padding-top: 100px;
  }
  
  .action-container p {
	color: white;
	font-size: 1.2rem; /* Adjusted font size */
	margin-bottom: 20px; /* Added margin bottom */
  }
  
  /* Hover effect */
  .cta-link:hover {
	background-color: #14213d; /* Background color on hover */
	border-color: transparent; /* Border color on hover */
  }
  @media screen and (max-width: 768px){
	.action{
	  background-attachment: scroll;
	}
	.action-container {
		padding: 150px 20px;
	}
  }
  /*action*/
  